Get a built campaign flow step
curl --request GET \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/built \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/built"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/flow-steps/{flowStepId}/built', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apps": [
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"description": "<string>",
"name": "<string>",
"type": {
"name": "<string>"
}
}
],
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"description": "<string>",
"flow_path": "<string>",
"flow_step_id": "<string>",
"icon_color": "<string>",
"icon_type": "<string>",
"metrics": [
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"description": "<string>",
"expression": "<string>",
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"unit": "<string>"
}
],
"name": "<string>",
"sequence": 123,
"step_name": "<string>",
"tags": [
"<string>"
],
"words": {
"person_counting_name": "<string>",
"plural_noun_name": "<string>",
"rate_name": "<string>",
"singular_noun_name": "<string>",
"verb_name": "<string>"
}
}Campaign Flow Steps
Get a built campaign flow step
Returns the fully evaluated (built) runtime form of the campaign flow step, with expression fields resolved.
GET
/
v2
/
campaigns
/
{campaignId}
{version}
/
flow-steps
/
{flowStepId}
/
built
Get a built campaign flow step
Authorizations
HEADERQUERYCOOKIE
Path Parameters
Pattern:
(/version/.+)?Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
